KOMRUNNING(8)

NAME
KOMMRUNNING - program to control if the LysKOM server is running

SYNOPSIS
komrunning [-c config-file] [-v|-V] [start|stop]

DESCRIPTION
This manual page documents briefly the kommrunning command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

komrunning controls the state of the LysKOM server, together with the updateLysKOM program, which is run via cron.

OPTIONS
komrunning, when invoked with no arguments, reports whether lyskomd is currently running or not, and whether it should be running or not. komrunning start attempts to start lyskomd. komrunning stop attempts to stop lyskomd, and it will not return until the server has saved its database and exited.

komrunning uses the same configuration file as lyskomd. You can use -c config-file to override the compiled-in default. Note, however, that this option is not passed along to updateLysKOM if komrunning invokes it, so the option should be used with extreme caution.

-v and -V causes komrunning to report its version number and exit.

SEE ALSO
dbck(8), lyskomd(8), updateLysKOM(8).

The program is documented fully by lyskomd Reference Manual, available via the Info system.

AUTHOR
This manual page was written by Peter Krefting <peterk@debian.org>, for the Debian GNU/Linux system (but may be used by others).